package com.adealink.weparty.commonui.drag

interface IDragMinimizable {
    /**
     * 是否支持最小化
     *
     * @return
     */
    fun isMinimizable(): Boolean

    /**
     * 处理最小化，当点击视图的时候，会回调到这里。
     * 提供最小化接口，方便在内部处理手势同时，更新视图状态
     *
     * @return true -- 处理最小化 , false -- 不处理
     */
    fun handleMinimization(): Boolean

    /**
     * 处理变成普通状态，当点击视图的时候，会回调到这里。
     * 提供普通化(即最小化->未最小化的变动)接口，方便在内部处理手势同时，更新视图状态
     *
     * @return true -- 处理变成普通状态 , false -- 不处理
     */
    fun handleNormalization(): Boolean
}
